* {
  font-size: 62.5%;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
  font-family: "Poppins", sans-serif;
  scroll-behavior: smooth;
}

body {
  background: #f2f7ff;
  animation: opening 1.5s ease-in-out 0s 1 normal forwards running;
}

@keyframes opening {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.nav a {
  color: white;
  font-size: 2rem;
}

/* nav */

.nav h1 {
  font-size: 3.5rem;
  color: white;
  font-weight: lighter;
}
.nav {
  background: rgb(30, 30, 103);
  top: 0;
  position: sticky;
  z-index: 9999;
}

.nav-container {
  display: flex;
  align-items: center;
  justify-content: space-around;
  width: 95%;
  margin: 0 auto;
  min-height: 10vh;
  padding: 2rem;
}

.hamburger-menu {
  display: flex;
  font-size: 5rem;
  background-color: transparent;
  border: none;
  color: white;
  display: none;
  cursor: pointer;
}

.nav-container ul {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex: 2 1 40rem;
  flex-wrap: wrap;
}
.nav-logo {
  display: flex;
  align-items: center;
  flex: 1 1 40rem;
}

.nav-logo h1 {
  font-size: 2rem;
}

.nav-logo img {
  max-width: 100px;
  margin: 0 2rem;
}

/* hover */
a:hover {
  transition: all 0.3s ease-in-out;
  color: #0194fc;
}
/* media query for nav */
@media screen and (max-width: 1600px) {
  .nav-logo {
    flex: 0 1 30rem;
  }
  .hero-section {
    text-align: center;
    padding: 5rem;
  }
  .hero-btn {
    align-items: center;
    justify-content: center;
  }
}
@media screen and (max-width: 1300px) {
  .nav-container ul li a {
    font-size: 1.5rem;
  }
  .nav-logo {
    flex: 0 1 23rem;
  }
  .nav-logo h1 {
    font-size: 1.8rem;
  }
  .nav-logo img {
    max-width: 80px;
  }
}
/* hero section */

.heroheader {
  background-image: radial-gradient(
    circle 610px at 5.2% 51.6%,
    rgba(5, 8, 114, 1) 0%,
    rgba(7, 3, 53, 1) 97.5%
  );
}

.herocontainer {
  min-height: 90vh;
  display: flex;
  align-items: center;
  justify-content: center;
  align-items: center;
  justify-content: space-around;
  width: 95%;
  margin: 0 auto;
  flex-wrap: wrap;
}
.hero-section {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.herocontainer img {
  max-width: 700px;
}

.hero-section h2 {
  color: white;
  font-weight: bold;
  font-size: 4rem;
}

.hero-section span {
  color: #0194fc;
  font-weight: bold;
  font-size: 4rem;
}

.hero-section p {
  font-size: 2rem;
  color: white;
  padding-top: 3rem;
  font-weight: lighter;
  line-height: 3rem;
}
.nav-link {
  color: white;
  font-size: 1.5rem !important;
}

.hamburger {
  display: none;
  cursor: pointer;
}
.bar {
  width: 30px;
  height: 3px;
  background-color: white;
  margin: 0.5rem;
}

@media screen and (max-width: 1000px) {
  .nav-logo {
    flex: 0 0 100%;
  }

  .hamburger {
    display: block;
    transition: all 0.3s ease-in-out;
  }
  .hamburger.active .bar:nth-child(2) {
    opacity: 0;
  }
  .hamburger.active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
    transition: all 0.3s ease-in-out;
  }
  .hamburger.active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
    transition: all 0.3s ease-in-out;
  }
  .nav-menu {
    position: fixed;
    top: 12rem;
    left: -100%;
    width: 100%;
    height: 100%;
    padding: 1rem 0;
    background: rgb(30, 30, 103);
    z-index: 9999;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    flex-direction: column;
    transition: all 0.3s ease-in-out;
  }
  .nav-menu.active {
    left: 0;
  }
  .nav-menu li {
    font-size: 1.5rem;
  }
  .nav-container ul {
    justify-content: flex-start;
    gap: 5rem;
  }
}

.hero-btn {
  display: flex;
  color: white;
  border-radius: 5px;
  font-size: 1.5rem;
  font-weight: bold;
  cursor: pointer;
  margin-top: 3rem;
}

.btn {
  background: #0194fc;
  color: white;
  padding: 1rem 5rem;
  font-size: 1.5rem;
  font-weight: bold;
  cursor: pointer;
  border: none;
}

.btn:hover {
  background: #0193fcad;
  transition: background 0.3s ease-in-out;
}

@media screen and (max-width: 1000px) {
  .hero-btn {
    margin-top: 8rem;
  }

  .hero-section h2 {
    font-size: 2.5rem;
  }

  .hero-section p {
    font-size: 1.8rem;
  }

  .hero-section span {
    font-size: 2.5rem;
  }
  .herocontainer img {
    max-width: 500px;
  }
}

@media screen and (max-width: 600px) {
  .hero-section h2 {
    font-size: 2.5rem;
  }
  .hero-section span {
    font-size: 2.5rem;
  }
  .hero-section p {
    font-size: 1.8rem;
    font-weight: 400;
  }
  .herocontainer img {
    max-width: 350px;
  }
}

@media screen and (max-width: 450px) {
  .herocontainer img {
    max-width: 300px;
  }
}
